Package uk.co.mccombe.mapping

# Class IrishGrid

java.lang.Object
uk.co.mccombe.mapping.CoordinateSystem
uk.co.mccombe.mapping.Projection
uk.co.mccombe.mapping.TransverseMercator
uk.co.mccombe.mapping.IrishGrid

public class IrishGrid extends TransverseMercator
Implementation of the Irish Grid. Note that this is used throughout the island of Ireland, North and South and that the OSGB grid is not applicable. For a complete description of the Irish Grid, see http://www.osni.gov.uk/2.1_the_irish_grid.pdf

## Field Summary

### Fields inherited from class uk.co.mccombe.mapping.TransverseMercator

`northernHemisphere, zone`

### Fields inherited from class uk.co.mccombe.mapping.CoordinateSystem

`locus, ref, sph`

## Constructor Summary

Constructors
Constructor
Description
`IrishGrid(ENPair point)`
Create a new IrishGrid point for a specific pair of Eastings and Northings.
`IrishGrid(ENPair point, Ellipsoid e, Datum d)`
Create a new IrishGrid point for a specific pair of Eastings and Northings, Ellipsoid and Datum.
`IrishGrid(Position p, Ellipsoid e, Datum d)`
Create a new IrishGrid point for a specific Position, Ellipsoid and Datum.

## Method Summary

Modifier and Type
Method
Description
`Datum`
`defaultDatum()`
Defines the default Datum for this system
`Ellipsoid`
`defaultEllipsoid()`
Define the default Ellipsoid for this system
`double`
`e0()`
False Eastimg (metres)
`double`
`f0()`
Define scale factor
`double`
`lamda0()`
The central meridian
`static IrishGrid`
`makePoint(String gridref, Ellipsoid e, Datum d)`
Factory method to create a new IrishGrid point using a String containing a grid reference.
`double`
`n0()`
Define false northing
`double`
`phi0()`
Define latitude of true origin
`String`
`toString()`
Provide a String representation for this IrishGrid
`protected static boolean`
`validateEN(ENPair p)`

### Methods inherited from class uk.co.mccombe.mapping.TransverseMercator

`gridConvergence, pointScaleFactor, toEN`

### Methods inherited from class uk.co.mccombe.mapping.CoordinateSystem

`getDatum, getEllipsoid, getName, getPosition, getWGS84, parseDouble, toLatLong, toLatLongString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IrishGrid

public IrishGrid(Position p, Ellipsoid e, Datum d)
Create a new IrishGrid point for a specific Position, Ellipsoid and Datum.

Parameters:
  `p` - Position
  `e` - Ellipsoid to use with this instance
  `d` - Datum to use

### IrishGrid

public IrishGrid(ENPair point, Ellipsoid e, Datum d)
Create a new IrishGrid point for a specific pair of Eastings and Northings, Ellipsoid and Datum.

Parameters:
  `point` - ENPair containing the easting and northing values
  `e` - Ellipsoid to use with this instance
  `d` - Datum to use

### IrishGrid

public IrishGrid(ENPair point)
Create a new IrishGrid point for a specific pair of Eastings and Northings. Default values of Ellipsoid and Datum are used.

Parameters:
  `point` - ENPair containing the easting and northing values

## Method Details

### makePoint

public static IrishGrid makePoint(String gridref, Ellipsoid e, Datum d) throws GridFormatException
Factory method to create a new IrishGrid point using a String containing a grid reference.

Parameters:
  `gridref` - A valid Irish grid reference String (e.g. R 212 712)
  `e` - Ellipsoid to use
  `d` - Datum to use
Returns:
  A new IrishGrid point for the specified point, Ellipsoid and Datum
Throws:
  `GridFormatException` - In case of syntax error in he grid reference

### defaultDatum

public Datum defaultDatum()
Defines the default Datum for this system

Specified by:
  `defaultDatum` in class `CoordinateSystem`
Returns:
  Datum.Ireland_1965

### defaultEllipsoid

public Ellipsoid defaultEllipsoid()
Define the default Ellipsoid for this system

Specified by:
  `defaultEllipsoid` in class `CoordinateSystem`
Returns:
  Ellipsoid.MODIFIED_AIRY

### toString

public String toString()
Provide a String representation for this IrishGrid

Specified by:
  `toString` in class `CoordinateSystem`
Returns:
  A 10-figure Irish grid reference, with grid letter (e.g. R 21235 71262)

### lamda0

public double lamda0()
The central meridian

Specified by:
  `lamda0` in class `TransverseMercator`
Returns:
  The central meridian (degrees)

### e0

public double e0()
False Eastimg (metres)

Specified by:
  `e0` in class `TransverseMercator`
Returns:
  False easting value (metres)

### n0

public double n0()
Define false northing

Specified by:
  `n0` in class `TransverseMercator`
Returns:
  False northing value (metres)

### phi0

public double phi0()
Define latitude of true origin

Specified by:
  `phi0` in class `TransverseMercator`
Returns:
  Latitude of true origin (degrees)

### f0

public double f0()
Define scale factor

Specified by:
  `f0` in class `TransverseMercator`
Returns:
  Scale factor at central meridian

### validateEN

protected static boolean validateEN(ENPair p)